org.eclipse.actf.ai.tts

## Class AbstractUIPluginForTTS

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.actf.ai.tts.AbstractUIPluginForTTS

All Implemented Interfaces:
  EventListener, org.eclipse.jface.util.IPropertyChangeListener, org.osgi.framework.BundleActivator

    public abstract class AbstractUIPluginForTTS
    extends org.eclipse.ui.plugin.AbstractUIPlugin
    implements org.eclipse.jface.util.IPropertyChangeListener

AbstractPreferenceUIPlugin is used in plug-ins which provides ITTSEngine

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`AbstractUIPluginForTTS()`

### Method Summary

Methods
`void` `addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)` Add property change listener to the preference store.
`void` `propertyChange(org.eclipse.jface.util.PropertyChangeEvent event)`
`void` `removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)` Remove property change listener from the preference store.
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, start, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractUIPluginForTTS

    public AbstractUIPluginForTTS()

### Method Detail

#### propertyChange

    public void propertyChange(org.eclipse.jface.util.PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `org.eclipse.jface.util.IPropertyChangeListener`

#### addPropertyChangeListener

    public void addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)

Add property change listener to the preference store.

Parameters:
  `listener` -

#### removePropertyChangeListener

    public void removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)

Remove property change listener from the preference store.

Parameters:
  `listener` -

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `Exception`